package cokr.xit.fims.nxrp.support;

import cokr.xit.fims.nxrp.B01;
import cokr.xit.fims.nxrp.C01;
import cokr.xit.foundation.AbstractComponent;
import cokr.xit.foundation.data.DataObject;

public abstract class LinkFileMaker extends AbstractComponent {

	protected String ifId;
	protected String zipFileName;
	protected int maxImageFileCnt;
	protected String gujesiStng;

	public void setGujesiStng(String gujesi) {
		this.gujesiStng = gujesi;
	}

	public int getMaxImageFileCnt() {
		return maxImageFileCnt;
	}

	public String getIfId() {
		return ifId;
	}
	public String getZipFileName() {
		return zipFileName;
	}

	abstract public B01 extractForPVS(DataObject crdnInfo,boolean includeTxt);
	abstract public C01 extractForBPV(DataObject crdnInfo,boolean includeTxt);
	abstract public void copyFile(String workPath, String filePath, int fileIndex, String... items);
}
